## org.python.core.util
Class RelativeFile

    java.lang.Object
      java.io.File
          org.python.core.util.RelativeFile

All Implemented Interfaces:
  Serializable, Comparable<File>

    public class RelativeFile

extends File

A java.io.File whose initial path is resolved relative to the current SystemState's current working directory.

Author:
  Philip Jenvey
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`RelativeFile(String pathname)`
`RelativeFile(String parent, String child)`

Method Summary

Methods inherited from class java.io.File

`canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getName, getParent, getParentFile, getPath, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setLastModified, setReadOnly, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelativeFile

    public RelativeFile(String pathname)

### RelativeFile

    public RelativeFile(String parent,
                        String child)

Jython homepage